Summary: EmacsSpeaksStatistics
Name: ess-emacs
Version: 5.2.0beta1
Release: 1Fdr1
License: GPL
Group: Applications/Editors
URL: http://www.analytics.washington.edu/Zope/wikis/ess/FrontPage
Source0: http://www.analytics.washington.edu/downloads/ess/ess-%{version}.tar.gz
Patch0:    ess-pj2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: emacs

#%define _prefix /usr/share
%define _infodir /usr/share/info
%define emacspkgdir /usr/share/emacs/site-lisp

%description
ESS is an Emacs module to support statistcal programming in R, S, or SAS.
It is written by Tony Rossini and a team of contributors.


%prep

%setup -q -n ess-%{version}
%patch0 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{emacspkgdir}/ess/lisp
mkdir -p %{buildroot}%{emacspkgdir}/site-start.d
mkdir -p %{buildroot}%{emacspkgdir}/ess/doc

cd lisp

#make prefix=%{buildroot} install
#can't do make install because it ignores prefix
cp -p *.elc %{buildroot}%{emacspkgdir}/ess/lisp
cp ess-init.el %{buildroot}%{emacspkgdir}/site-start.d

# this moves info files:
#make install
#can't do make install because it ignores prefix

mkdir -p %{buildroot}/%{_infodir}
cd ../info
cp -p ess.info* %{buildroot}/%{_infodir}
#cp -p ess.info* %{buildroot}%{emacspkgdir}/ess/info

#make infodir=%{buildroot}/%{_infodir} install-info

cd ../doc
#now manually copy html manual over
chmod 755 html
chmod 744 html/*
cp -R html %{buildroot}%{emacspkgdir}/ess/doc
#this dir is not writable otherwise



%clean


rm -rf $RPM_BUILD_ROOT


%post 
# Create directory entries for info files
# (optional doc files, so we must check that they are installed)
for doc in ess ; do
   file=%{_infodir}/${doc}.info.gz
   if [ -e $file ]; then
      /sbin/install-info ${file} %{_infodir}/dir
   fi
done

%preun 
if [ $1 = 0 ]; then
   # Delete directory entries for info files (if they were installed)
   for doc in ess; do
      file=%{_infodir}/${doc}.info.gz
      if [ -e ${file} ]; then
         /sbin/install-info --delete ${doc} %{_infodir}/dir
      fi
   done
fi




%files
%defattr(-,root,root,-)
%{_prefix}

%doc


%changelog
* Wed Oct 22 2003 Paul Johnson <pauljohn@ukans.edu> 5.2.0beta1-1
- Initial build.


